<?php
use Webman\Route;
Route::group('/wechat',function (){
    Route::group('/user', function () {
        Route::post('/login', [\app\wechat\controller\UserController::class, 'login']);
        Route::post('/auth', [\app\wechat\controller\UserController::class, 'auth']);
        Route::post('/statistics', [\app\wechat\controller\UserController::class, 'statistics']);
        Route::post('/info', [\app\wechat\controller\UserController::class, 'info']);
        Route::post('/edit', [\app\wechat\controller\UserController::class, 'updateUser']);
        Route::post('/password', [\app\wechat\controller\UserController::class, 'setPassword']);
        Route::post('/list', [\app\wechat\controller\UserController::class, 'userList']);
        Route::post('/team', [\app\wechat\controller\UserController::class, 'teamList']);
        Route::post('/add', [\app\wechat\controller\UserController::class, 'addUser']);
        Route::post('/infoById', [\app\wechat\controller\UserController::class, 'infoById']);
        Route::post('/editById', [\app\wechat\controller\UserController::class, 'updateUserById']);
        Route::post('/del', [\app\wechat\controller\UserController::class, 'deleteUser']);
        Route::post('/all', [\app\wechat\controller\UserController::class, 'index']);
        Route::post('/trend', [\app\wechat\controller\UserController::class, 'customTrend']);
    });
    Route::group('/custom', function () {
        Route::post('/config', [\app\wechat\controller\CustomController::class, 'options']);
        Route::post('/add', [\app\wechat\controller\CustomController::class, 'addCustom']);
        Route::post('/info', [\app\wechat\controller\CustomController::class, 'customInfo']);
        Route::post('/edit', [\app\wechat\controller\CustomController::class, 'editCustom']);
        Route::post('/list', [\app\wechat\controller\CustomController::class, 'customList']);
        Route::post('/select', [\app\wechat\controller\CustomController::class, 'selectList']);
        Route::post('/status', [\app\wechat\controller\CustomController::class, 'updateStatus']);
        Route::post('/move', [\app\wechat\controller\CustomController::class, 'moveCustom']);
        Route::post('/logs', [\app\wechat\controller\CustomController::class, 'moveLogs']);
        Route::post('/check', [\app\wechat\controller\CustomController::class, 'checkCustom']);
        Route::post('/mobile', [\app\wechat\controller\CustomController::class, 'checkMobile']);
        Route::post('/appoint', [\app\wechat\controller\CustomController::class, 'appointConsultant']);
    });
    Route::group('/follow', function () {
        Route::post('/add', [\app\wechat\controller\FollowController::class, 'addFollow']);
        Route::post('/list', [\app\wechat\controller\FollowController::class, 'followList']);
        Route::post('/info', [\app\wechat\controller\FollowController::class, 'followInfo']);
    });
})->middleware(\app\middleware\WechatAuthCheck::class);